/**
 * @file
 * Implements Custom JS for Disable Browser Back Functionality.
 */
(function ($, Drupal) {

  /**
   * Implements DrupalBehavior.
   */
  Drupal.behaviors.disable_back_button = {
    attach: function (context, settings) {
      // Array of url's where we have to disable browser back functionality.
      var noback = drupalSettings.noback;
      // Current path of page
      var pathname = window.location.pathname;
      
      if (jQuery.inArray(pathname, noback) != '-1') {
        window.history.pushState(null, "", window.location.href);
        window.onpopstate = function () {
          window.history.pushState(null, "", window.location.href);
        };
      }
    }
  };

}(jQuery, Drupal));
